<div
  :class="rootClassFinal"
  v-show="isShown"
  >
  <div class="modal-dialog"
    @click.self="close"
    >
    <div
      :class="'modal-content ' + (containerClass||'')"
      v-el="container"
      >
      <div
        class="modal-header"
        v-el="header"
        >
        <partial name="header"></partial>
      </div>
      <div
        class="modal-body"
        v-el="body"
        v-if="hasBody"
        >
        <partial name="body"></partial>
      </div>
      <div
        class="modal-footer"
        v-el="footer"
        v-if="hasFooter"
        >
        <span class="pull-left">
          <partial name="footerLeft"></partial>
        </span>
        <partial name="footer"></partial>
      </div>
    </div>
  </div>
</div>
